unit BackMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Compress, Segment, ComCtrls;

type
  TBackForm = class(TForm)
    SegCompEZ: TSegCompEZ;
    Label1: TLabel;
    EFile: TEdit;
    BrowseBtn: TBitBtn;
    OpenDialog: TOpenDialog;
    Label2: TLabel;
    EDir: TEdit;
    Label3: TLabel;
    EBase: TEdit;
    BackBtn: TBitBtn;
    StatusBar: TStatusBar;
    procedure BrowseBtnClick(Sender: TObject);
    procedure BackBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SegCompEZCheckFile(var filepath: String;
      mode: TCProcessMode);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BackForm: TBackForm;

implementation

{$R *.DFM}

procedure TBackForm.BrowseBtnClick(Sender: TObject);
begin
     if (OpenDialog.Execute) then
       EFile.Text := OpenDialog.FileName;
end;

procedure TBackForm.FormCreate(Sender: TObject);
begin
     EFile.Clear;
     EBase.Text := SegCompEZ.SegBaseName;
     EDir.Text := SegCompEZ.SegDir;
end;

procedure TBackForm.BackBtnClick(Sender: TObject);
begin
     with SegCompEZ do
       begin
       SegBaseName := EBase.Text;
       SegDir := EDir.Text;
       TargetPath := ExtractFilePath(EFile.Text);
       SegSource.Add(ExtractFileName(EFile.Text));
       Compress;
       end;
end;

procedure TBackForm.SegCompEZCheckFile(var filepath: String;
  mode: TCProcessMode);
begin
     StatusBar.Panels[0].Text := 'File: ' + filepath;
end;

end.
